package com.wms.constants.enums;

/**
 * 物料状态枚举
 */
public enum GoodsStatus {
    OK(0, "合格"),
    BAD(1, "不合格"),
    DELAY(2, "延期"),
    OVERDUE(3, "过期"),
    SCRAP(5, "长时间未使用");

    private final Integer code;

    private final String value;

    GoodsStatus(Integer code, String value) {
        this.code = code;
        this.value = value;
    }

    public Integer getCode() {
        return code;
    }

    public String getValue() {
        return value;
    }
}
